Index: src/winhugs/resrc1.h
===================================================================
RCS file: /cvs/hugs98/src/winhugs/resrc1.h,v
retrieving revision 1.4
diff -u -r1.4 resrc1.h
--- src/winhugs/resrc1.h	7 Sep 2005 11:25:00 -0000	1.4
+++ src/winhugs/resrc1.h	8 Sep 2005 13:23:13 -0000
@@ -48,13 +48,14 @@
 #define ID_DELETE                       40020
 #define ID_CLEARSCREEN                  40021
 #define ID_SELECTALL                    40022
+#define ID_LIBRARIES                    40023
 
 // Next default values for new objects
 // 
 #ifdef APSTUDIO_INVOKED
 #ifndef APSTUDIO_READONLY_SYMBOLS
 #define _APS_NEXT_RESOURCE_VALUE        110
-#define _APS_NEXT_COMMAND_VALUE         40023
+#define _APS_NEXT_COMMAND_VALUE         40024
 #define _APS_NEXT_CONTROL_VALUE         1037
 #define _APS_NEXT_SYMED_VALUE           101
 #endif
Index: src/winhugs/winhugs.rc
===================================================================
RCS file: /cvs/hugs98/src/winhugs/winhugs.rc,v
retrieving revision 1.19
diff -u -r1.19 winhugs.rc
--- src/winhugs/winhugs.rc	7 Sep 2005 16:32:22 -0000	1.19
+++ src/winhugs/winhugs.rc	8 Sep 2005 13:23:45 -0000
@@ -116,7 +116,7 @@
     BEGIN
         MENUITEM "&Contents\tF1 ",              ID_HELPCONTENTS
         MENUITEM "Hugs C&ommands",              ID_HELPCOMMANDS
-        MENUITEM "User &Guide",                 ID_USERSGUIDE
+        MENUITEM "Hierarchical &Libraries",     ID_LIBRARIES
         MENUITEM SEPARATOR
         MENUITEM "&Hugs Website",               ID_WWWHUGS
         MENUITEM "Haskell &Website",            ID_WWWHASKELL
@@ -430,16 +430,6 @@
 
 STRINGTABLE 
 BEGIN
-    ID_FILESMENU            "Manage script files (Open, New...)"
-    ID_EDITMENU             "Cut, copy, paste and clear"
-    ID_INTERPRETERMENU      "Run, Compile, Evaluate, ..."
-    ID_BROWSEMENU           "Browse classes, instances, members, names and type constructors"
-    ID_HELPMENU             "View online help"
-    ID_OPTIONSMENU          "Manage interpreter options (Set, Save...)"
-END
-
-STRINGTABLE 
-BEGIN
     ID_NEW                  "Edit a new script file"
     ID_OPEN                 "Load modules from specified file"
     ID_SCRIPTMAN            "Enter Module Manager"
@@ -453,15 +443,12 @@
     ID_PASTE                "Paste text from clipboard"
     ID_GOEDIT               "Run text editor"
     ID_CUT                  "Cut selected text"
-    ID_CLEAR                "Clear selected text"
-    ID_FIND                 "Find definition of selected name"
     ID_GOPREVIOUS           "Edit previous input line"
 END
 
 STRINGTABLE 
 BEGIN
     ID_GONEXT               "Edit next input line"
-    ID_EDITSELECTED         "Edit selected file"
 END
 
 STRINGTABLE 
@@ -477,7 +464,6 @@
     ID_COMPILE              "Reload files"
     ID_MAKE                 "Reload files for current project"
     ID_CLEARALL             "Clear all files except prelude"
-    ID_INFO                 "Show information on selected text"
 END
 
 STRINGTABLE 
@@ -496,26 +482,8 @@
 STRINGTABLE 
 BEGIN
     ID_HELPINDEX            "Display help contents"
-    ID_HELPFIND             "Buscar ayuda sobre una palabra"
-    ID_HELPUSE              "Display help on help"
     ID_ABOUT                "Display version info"
-    ID_HELPCOMMANDS         "Display Hugs commands"
-    ID_HELPREPORT           "Display the Haskell Report"
-    ID_HELPLIBS             "Display the Haskell Library Report"
-END
-
-STRINGTABLE 
-BEGIN
-    ID_HELPGENTLE           "Display the Gentle Introduction to Haskell"
-    ID_HELPDOCS             "Display Hugs documentation"
-    ID_HELPEXTS             "Display Hugs and Ghc libraries"
-    ID_HELPHASKELLORG       "Go to haskell.org"
-END
-
-STRINGTABLE 
-BEGIN
-    IDS_FILTERPROJECT       "Hugs Projects(*.hp)|*.hp|Projects(*.prj)|*.prj|All files(*.*)|*.*|"
-    IDS_FILTERFILE          "Haskell files(*.hs *.lhs)|*.hs;*.lhs|Gofer files(*.gs *.gof *.lgs)|*.gs;*.gof;*.lgs|Literate Scripts(*.lhs *.lgs *.ver *.lit)|*.lgs;*.lhs;*.ver;*.lit|Preludes(*.pre)|*.pre|All files(*.*)|*.*|"
+    ID_HELPCOMMANDS         "Summary of Hugs commands"
 END
 
 STRINGTABLE 
@@ -572,6 +540,21 @@
     159                     "Load recently loaded file"
 END
 
+STRINGTABLE 
+BEGIN
+    ID_DELETE               "Delete the currently selected text"
+    ID_CLEARSCREEN          "Clear the screen"
+    ID_SELECTALL            "Select all the text"
+    ID_LIBRARIES            "Information on the Hierarchical Libraries"
+END
+
+STRINGTABLE 
+BEGIN
+    ID_WWWHUGS              "Visit the Hugs website, www.haskell.org/hugs"
+    ID_WWWHASKELL           "Visit the Haskell website, www.haskell.org"
+    ID_HELPCONTENTS         "Show the help contents"
+END
+
 #endif    // English (U.K.) resources
 /////////////////////////////////////////////////////////////////////////////
 
